libpugixml-dev_1.8.1-7_i386.deb


Advertisement

Description

libpugixml-dev - Light-weight C++ XML processing library (development)

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpugixml-dev
Package version 1.8.1
Package release 7
Package architecture i386
Package type deb
Installed size 430 B
Download size 103.40 KB
Official Mirror archive.ubuntu.com
pugixml is a lightweight C++ XML processing library with XPath
support. It features:
* DOM like interface with rich traversal/modification capabilities
* Extermely fast non-validating XML parser which constructs the DOM
tree from an XML file/buffer.
* XPath 1.0 implementation for complex data-driven tree queries
* Full Unicode support with Unicode interface variants and automatic
encoding conversions.
This package provides required development header files which allows
integrating pugixml with your application.

Alternatives

Package Version Architecture Repository
libpugixml-dev_1.8.1-7_amd64.deb 1.8.1 amd64 Ubuntu Universe
libpugixml-dev - - -

Requires

Name Value
libpugixml1v5 = 1.8.1-7

Download

Type URL
Binary Package libpugixml-dev_1.8.1-7_i386.deb
Source Package pugixml

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpugixml-dev deb package:
    # sudo apt-get install libpugixml-dev

Files

Path
/usr/include/pugiconfig.hpp
/usr/include/pugixml.hpp
/usr/lib/i386-linux-gnu/libpugixml.a
/usr/lib/i386-linux-gnu/libpugixml.so
/usr/lib/i386-linux-gnu/pkgconfig/pugixml.pc
/usr/share/doc/libpugixml-dev/changelog.Debian.gz
/usr/share/doc/libpugixml-dev/copyright
/usr/share/doc/libpugixml-dev/examples/samples/character.xml
/usr/share/doc/libpugixml-dev/examples/samples/custom_memory_management.cpp
/usr/share/doc/libpugixml-dev/examples/samples/include.cpp
/usr/share/doc/libpugixml-dev/examples/samples/load_error_handling.cpp
/usr/share/doc/libpugixml-dev/examples/samples/load_file.cpp
/usr/share/doc/libpugixml-dev/examples/samples/load_memory.cpp
/usr/share/doc/libpugixml-dev/examples/samples/load_options.cpp
/usr/share/doc/libpugixml-dev/examples/samples/load_stream.cpp
/usr/share/doc/libpugixml-dev/examples/samples/modify_add.cpp
/usr/share/doc/libpugixml-dev/examples/samples/modify_base.cpp
/usr/share/doc/libpugixml-dev/examples/samples/modify_remove.cpp
/usr/share/doc/libpugixml-dev/examples/samples/save_custom_writer.cpp
/usr/share/doc/libpugixml-dev/examples/samples/save_declaration.cpp
/usr/share/doc/libpugixml-dev/examples/samples/save_file.cpp
/usr/share/doc/libpugixml-dev/examples/samples/save_options.cpp
/usr/share/doc/libpugixml-dev/examples/samples/save_stream.cpp
/usr/share/doc/libpugixml-dev/examples/samples/save_subtree.cpp
/usr/share/doc/libpugixml-dev/examples/samples/text.cpp
/usr/share/doc/libpugixml-dev/examples/samples/transitions.xml
/usr/share/doc/libpugixml-dev/examples/samples/traverse_base.cpp
/usr/share/doc/libpugixml-dev/examples/samples/traverse_iter.cpp
/usr/share/doc/libpugixml-dev/examples/samples/traverse_predicate.cpp
/usr/share/doc/libpugixml-dev/examples/samples/traverse_rangefor.cpp
/usr/share/doc/libpugixml-dev/examples/samples/traverse_walker.cpp
/usr/share/doc/libpugixml-dev/examples/samples/tree.xml
/usr/share/doc/libpugixml-dev/examples/samples/weekly-shift_jis.xml
/usr/share/doc/libpugixml-dev/examples/samples/weekly-utf-16.xml
/usr/share/doc/libpugixml-dev/examples/samples/weekly-utf-8.xml
/usr/share/doc/libpugixml-dev/examples/samples/xgconsole.xml
/usr/share/doc/libpugixml-dev/examples/samples/xpath_error.cpp
/usr/share/doc/libpugixml-dev/examples/samples/xpath_query.cpp
/usr/share/doc/libpugixml-dev/examples/samples/xpath_select.cpp
/usr/share/doc/libpugixml-dev/examples/samples/xpath_variables.cpp
/usr/share/libpugixml-dev/cmake/pugixml-config-noconfig.cmake
/usr/share/libpugixml-dev/cmake/pugixml-config.cmake

Changelog

2017-11-01 - Vasudev Kamath <vasudev@copyninja.info>
pugixml (1.8.1-7) unstable; urgency=medium
* Fix FTCBFS: Closes: #-1, Thanks to Helmut Grohne.
+ Honour DEB_BUILD_OPTIONS=nocheck.
+ Always use a multiarch install layout.
* Mark package compliance with Debian Policy 4.1.1.
2017-09-15 - Vasudev Kamath <vasudev@copyninja.info>
pugixml (1.8.1-6) unstable; urgency=medium
* Drop multi-arch tag for now from libpugixml-dev.
Closes: bug#874243. Thanks to Helmut Grohne.
2017-08-18 - Jonas Smedegaard <dr@jones.dk>
pugixml (1.8.1-5) unstable; urgency=medium
* Fix revive symbols seemingly wrongly dropped since 1.7-1.
2017-08-18 - Jonas Smedegaard <dr@jones.dk>
pugixml (1.8.1-4) unstable; urgency=medium
* Tighten major version resolving used for our packaging.
* Update git-buildpackage config: Filter any .gitignore file.
* Modernize Vcs-* fields: Use git (not cgit) in path.
* Declare compliance with Debian Policy 4.0.1.
* Advertise DEP3 format in patch headers.
* Fix mark patch 2002 as not needing upstreaming.
* Drop obsolete lintian override regarding debhelper 9.
* Tighten experimental release resolving used for our packaging.
* Fix use pkg-kde-tools symbolshelper.
* Use d-shlibs (not dh-exec) to install pkgconfig.
Stop build-depend on dh-exec.
* Fix avoid using only upstream version for dpkg-gensymbols: A patch
may affect symbols.
* Update copyright info: Extend coverage for myself.
2017-07-15 - Vasudev Kamath <vasudev@copyninja.info>
pugixml (1.8.1-3) unstable; urgency=medium
* Fix the Vcs-Git URL.
Closes: bug#868010. Thanks to Kunal Mehta.
* Fix the install path for pkgconfig file.
Closes: bug#849810. Thanks to Kunal Mehta.
* debian/control:
+ Mark package as compliant with Debian Policy 4.0.0.
+ Drop -dbg package in favor of automatically generated -dbgsym
package.
* debian/rules:
+ Add dh_strip argument --dbgsym-migration to allow clean migration
from libpugixml1v5-dbg to libpugixml1v5-dbgsym.
* Fix the typo  in source lintian override.
2017-06-21 - Vasudev Kamath <vasudev@copyninja.info>
pugixml (1.8.1-2) unstable; urgency=medium
* Update symbol file for all architecture (except m68k and sh4).
2017-06-18 - Vasudev Kamath <vasudev@copyninja.info>
pugixml (1.8.1-1) unstable; urgency=medium
* Import new upstream version 1.8.
* debian/rules:
+ Drop upstream-tarball.mk snippets in favor of debian/watch.
+ Update location of CMakeLists.txt for capturing SOVERSION.
+ Relax symbol file generation on experimental.
+ Enable tests and pkg-config file generation.
+ Build depend on dh-exec for installing pkg-config files to
multi-arch path.
+ Install upstream shipped cmake files.
* debian/patches:
+ Refresh patches 2001 and 2002 with new upstream release.
+ Introduce patch 2003 to link test binary with static library to
avoid FTBFS.
+ Introduce patch 2004 to avoid installing into version suffixed
directory.
* Update copyright info:
+ Extend copyright period for upstream.
+ Extend copyright period for myself on Debian folder.
* Add copyright-check maintainer script to the source and drop build
time copyright check.
* debian/control:
+ Update my email address in maintainer field.
+ Mark package compliance with Debian policy 3.9.8.
+ Use secure URL for Vcs-* fields.
* Update symbols file for 1.8.1 for i386 architecture.
2015-11-06 - Vasudev Kamath <kamathvasudev@gmail.com>
pugixml (1.7-2) unstable; urgency=medium
* Update symbols file to include all architecture.

See Also

Package Description
libpugixml1v5_1.8.1-7_i386.deb Light-weight C++ XML processing library
libpugl-0-0_0~svn32+dfsg0-2_i386.deb portable API for OpenGL graphical interfaces
libpugl-dev_0~svn32+dfsg0-2_i386.deb portable API for OpenGL graphical interfaces (headers)
libpulse-java_2.4.7-1_all.deb PulseAudio sound driver for Java
libpulse-jni_2.4.7-1_i386.deb PulseAudio sound driver for Java (JNI libraries)
libpulse-ocaml-dev_0.1.2-1build5_i386.deb OCaml interface to the pulseaudio library
libpulse-ocaml_0.1.2-1build5_i386.deb OCaml interface to the PulseAudio sound server
libpuma-dev_2.2+git20170823-1_i386.deb C/C++/AspectC++ Scanner and Parsers
libpuma-doc_2.2+git20170823-1_all.deb C/C++/AspectC++ Scanner and Parsers
libpuppetlabs-http-client-clojure_0.9.0-1_all.deb Clojure wrapper around libhttpasyncclient-java
libpuppetlabs-i18n-clojure_0.8.0-1_all.deb Clojure i18n library
libpuppetlabs-ring-middleware-clojure_1.0.0-1_all.deb common Ring middleware for Puppet projects
libpurelibc-dev_0.4.1-1_i386.deb Development files for the purelibc library
libpurelibc1_0.4.1-1_i386.deb libc+syscalls to libc-only wrapper for libc functions
libpurify-dev_2.0.0-2_i386.deb Routines for radio interferometric imaging (development files)
Advertisement
Advertisement